summaryrefslogtreecommitdiff
path: root/repo/system/eudev/udev.initd
diff options
context:
space:
mode:
Diffstat (limited to 'repo/system/eudev/udev.initd')
-rw-r--r--repo/system/eudev/udev.initd22
1 files changed, 22 insertions, 0 deletions
diff --git a/repo/system/eudev/udev.initd b/repo/system/eudev/udev.initd
new file mode 100644
index 0000000..5ce2354
--- /dev/null
+++ b/repo/system/eudev/udev.initd
@@ -0,0 +1,22 @@
+#!/sbin/openrc-run
+
+start () {
+ # Start the udev daemon to continually watch for, and act on,
+ # uevents
+ /sbin/udevd --daemon
+
+ # Now traverse /sys in order to "coldplug" devices that have
+ # already been discovered
+ /sbin/udevadm trigger --action=add --type=subsystems
+ /sbin/udevadm trigger --action=add --type=devices
+ /sbin/udevadm trigger --action=change --type=devices
+
+ # Now wait for udevd to process the uevents we triggered
+ if ! is_true "$OMIT_UDEV_SETTLE"; then
+ /sbin/udevadm settle
+ fi
+
+ # If any LVM based partitions are on the system, ensure they
+ # are activated so they can be used.
+ if [ -x /sbin/vgchange ]; then /sbin/vgchange -a y >/dev/null; fi
+}